Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.process
Class TransformXML.SAXInterface<T>

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          edu.stanford.nlp.process.TransformXML.SAXInterface<T>

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Direct Known Subclasses:
  TaggerSaxInterface

Enclosing class:
  TransformXML<T>

    public static class TransformXML.SAXInterface<T>

extends DefaultHandler

Field Summary
`protected List<String>` | `elementsToBeTransformed`
`protected Function<String,T>` | `function`
`protected boolean` | `inElementToBeTransformed`
`protected PrintWriter` | `outWriter`
`protected StringBuffer` | `textToBeTransformed`

Constructor Summary
`TransformXML.SAXInterface()`

Method Summary
`void` | `characters(char[] buf, int offset, int len)`
`protected void` | `clear()`
`void` | `endElement(String uri, String localName, String qName)`
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elementsToBeTransformed

    protected List<String> elementsToBeTransformed

### inElementToBeTransformed

    protected boolean inElementToBeTransformed

### textToBeTransformed

    protected StringBuffer textToBeTransformed

### outWriter

    protected PrintWriter outWriter

### function

    protected Function<String,T> function

Constructor Detail

### TransformXML.SAXInterface

    public TransformXML.SAXInterface()

Method Detail

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`
  Throws:
    `SAXException`

### characters

    public void characters(char[] buf,
                           int offset,
                           int len)
                    throws SAXException

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `DefaultHandler`
  Throws:
    `SAXException`

### clear

    protected void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group